from _abcoll import MutableMapping

from aosstower import station


class Frame(MutableMapping):
    def __init__(self, width=station.DATA_INTERVAL):
        self._data = {}
        self.width = width

    def __getattr__(self, name, default=None):
        return self.get(name, default)

    def __getitem__(self, name):
        return self._data[name]

    def __setitem__(self, name, value):
        self._data[name] = value

    def __delitem__(self, name):
        del self._data[name]

    def __iter__(self):
        return iter(self._data)

    def __len__(self):
        return len(self._data)
