"""Station metadata."""
from datetime import timedelta

# Time between data samples in seconds
DATA_INTERVAL = timedelta(seconds=5)

# these heights are for the top of the penthouse roof
ELEVATION = 329.522  # meters above mean sea level
HEIGHT = 294.8338  # height in meters above ground level

# Id of station from v1 records
ID = 1

# Buoy 43.098386, -89.405281
LATITUDE = 43.070786
LONGITUDE = -89.406939

station_info = {
    "site": "mendota",
    "inst": "buoy",
    "long_name": "AOSS Tower",
    "short_name": "aoss.tower",
    "alt": ELEVATION,
    "lon": LONGITUDE,
    "lat": LATITUDE,
}
