#!/usr/bin/env bash
#
# Runs the tower ingest in a screen session named 'ceilo_ingest'.
#
# If a screen session is already running with that name, exit, otherwise start
# a new detached screen session named 'ceilo_ingest'.
#

echo "$0 really shouldn't be necessary any more if tower_db_ingest is used."
echo "See start_tower_db_ingest.sh"
exit 1

NAME=tower_mcast
CONFIG=$HOME/tower/tower_mcast.cfg
PYENV=$HOME/env
SCRN=$(screen -list | grep $NAME | awk '{print $1}')
if [ -n "$SCRN" ]; then
echo Screen already running: $SCRN
else
screen -S $NAME -d -m $PYENV/bin/python -m metobs.tower.util.json_gen -vvv \
				-H 192.168.16.23 \
				-p 41175 \
				-m 6544 $CONFIG \
				-l $HOME/log/tower_mcast.log
echo Started in screen $(screen -list | grep $NAME | awk '{print $1}')
fi
